<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c"></a>- c -</h3><ul>
<li>COST_MANA_CAST_SPELL
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#af5e94d149d128977e4dbd3dca644eaff">He_Arc::RPG::Wizard</a>
</li>
<li>COST_MANA_RISE_UNDEADS
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#af21473e141a0114dc3e86148b0284a0b">He_Arc::RPG::Necromancer</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DAMAGE_SKILL_BONESRANG
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#ad9625b7f41ce166914cc37b1996e6ab9">He_Arc::RPG::Skeleton</a>
</li>
<li>DAMAGE_SKILL_FIREBALL
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ab046f9df1d49c193033b519e3f63927f">He_Arc::RPG::Wizard</a>
</li>
<li>DAMAGE_SKILL_FULLPOWER
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a73036d087b106b6c30ffd951ab11f2ef">He_Arc::RPG::Warrior</a>
</li>
<li>DAMAGE_SKILL_TACKLE
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#a13b5b9175ed80881a5a73f869e090ea0">He_Arc::RPG::Slime</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>FIRST_FIGHT_LANE
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a10fefae9f3e36dd00f073a576f77492b">He_Arc::RPG::Room</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>LaneNameToLane
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#ac9f35a204bf0f8f3d99888a8051df286">He_Arc::RPG::Room</a>
</li>
<li>LaneToLaneName
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#ade1fe7f58277a6df414c3d6bf6e09319">He_Arc::RPG::Room</a>
</li>
<li>LogLevelToString
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#ad4e64f61acdc3f3923ed6bcc66fb7147">He_Arc::RPG::Log</a>
</li>
<li>LogTypeToString
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a527455ddbfcf4565835a697b5debc443">He_Arc::RPG::Log</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>m_agility
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aceed2329152d2a179c8c888daf5a09bd">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_autosave
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a3b90ac5495b8d488695b0b83fab8406a">He_Arc::RPG::LogCollection</a>
</li>
<li>m_backpack
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aebb463c3a8725b3ac6e1bac04fad0315">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_hp
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5a98c6a47e818e86ac75a0166bb8c3c0">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_instance
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af3aff12d2b7dc69128006eac2c31f16c">He_Arc::RPG::LogCollection</a>
</li>
<li>m_intelligence
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ab7f3dbdf4a92a55e2ecf810f984c33c1">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_level
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a569272e38e69aaf6f1285a9e3811f95c">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_logLevel
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a0452f2fff71750632decff16693c559d">He_Arc::RPG::Log</a>
</li>
<li>m_logType
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#acb7fe3984bf2e515ef8707b8cc9ebce1">He_Arc::RPG::Log</a>
</li>
<li>m_mana
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a9c5a8dc13405fea41ddfc8bb0027abad">He_Arc::RPG::Wizard</a>
</li>
<li>m_message
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a901492958fd6f506275abe197a3c28ff">He_Arc::RPG::Log</a>
</li>
<li>m_name
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad8821a9a8c02c7db1db065a48ceedfc7">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#ad086e14e97ce72f3465ab223302b7c45">He_Arc::RPG::ISpell</a>
</li>
<li>m_namePrecededByDate
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a44d6630ceebc5b45eb6f85402c6565a7">He_Arc::RPG::LogCollection</a>
</li>
<li>m_perception
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79735b9d6e6d9201385dd97efe545a53">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_pObject
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0acb8820b5a72d70df97395c7546fdac">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_range
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a9ee92c3e820f19c863cf1f25adb028e1">He_Arc::RPG::ISpell</a>
</li>
<li>m_savedLogs
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1691ef1468db345fd09c8d4d31cebe4c">He_Arc::RPG::LogCollection</a>
</li>
<li>m_saveFolderPath
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7d20041e286e0530abff974ed4b23c98">He_Arc::RPG::LogCollection</a>
</li>
<li>m_saveName
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a37570b5e3e742530c730e49f294ea385">He_Arc::RPG::LogCollection</a>
</li>
<li>m_spells
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a74cff61680b7b76ba8a80db23b8fd798">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_statDice
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a140f440d1d3332267268791ad9a2cc3e">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_strength
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#abda9c8d99244d23c15c56ac8d9ff0617">He_Arc::RPG::CharacterClass</a>
</li>
<li>m_time
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a21b9d683ca5b528a08a7af22fa882f1a">He_Arc::RPG::Log</a>
</li>
<li>m_unsavedLogs
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a65172e917c7ba4c87a77f17e855c5e42">He_Arc::RPG::LogCollection</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>RANGE_SKILL_BONESRANG
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#ae73c4514f62882490d302c23498446bb">He_Arc::RPG::Skeleton</a>
</li>
<li>RANGE_SKILL_FIREBALL
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a368bfc4fb66c29a4548b19e4a02a54f0">He_Arc::RPG::Wizard</a>
</li>
<li>RANGE_SKILL_FULLPOWER
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a0ab0b4e70b74dd32c9d634c559fea926">He_Arc::RPG::Warrior</a>
</li>
<li>RANGE_SKILL_TACKLE
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#aa6859a830539c32323dc0d796a696f9f">He_Arc::RPG::Slime</a>
</li>
<li>REGEN_MANA_AMOUT
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#af61dc4150a7316b6abf1d2c9f5cdbf3a">He_Arc::RPG::Wizard</a>
</li>
<li>ROOM_FIGHT_LANE_SIZE
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a8264718242a33b73a4ebc3520d1e56ee">He_Arc::RPG::Room</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
